from ultralytics import YOLOv10
import numpy as np
# model = YOLOv10.from_pretrained('jameslahm/yolov10{n/s/m/b/l/x}')
# or
# wget https://github.com/THU-MIG/yolov10/releases/download/v1.1/yolov10{n/s/m/b/l/x}.pt
model = YOLOv10('ckpts/20250514/best_gift_v10n.pt')

result = model.predict('./data/bandage.jpg', save=False, imgsz=[224, 224], conf=0.1)
print(result)
print(result[0].boxes.conf)
